Version 2.00+ : problème avec les questions conditionnelles

More
3 years 10 months ago #100502 by pocquet
pocquet created the topic: Version 2.00+ : problème avec les questions conditionnelles
Bonjour,
J'ai effectué un upgrade de Limesurvey de 1.71 vers 2.00+, puis créé un nouveau questionnaire.
Les questions conditionnelles ne fonctionnent plus correctement, voici ci-dessous les essais effecués et en pièce jointe le fichier de logique.
Auriez-vous, s'il vous plaît, une idée du problème ?
Je vous remercie d'avance,
Anne-Marie Pocquet

=== 1ère configuration :même groupe ===
* Questions :
- Q-0 : question oui/non
- Q-1 : question à afficher si Q-0 = oui
* Résultat : la question conditionnelle Q-1 s'affiche toujours quelle que soit la valeur de Q-0

=== 2ème configuration : 2 groupes ===
* Questions :
* 1er groupe : Q-0 : question oui/non
* 2ème groupe : Q-2 : une seule question à afficher si la question du groupe précédent = oui
* Résultat : OK

=== 3ème configuration : 2 groupes ===
* On ajoute une question inconditionnelle dans le 2ème groupe.
* Questions :
* 1er groupe : Q-0 : question oui/non
* 2ème groupe :
- Q-2 : question à afficher si Q-0 = oui
- Q-3 : question inconditionnelle
* Résultat : la question conditionnelle Q-2 s'affiche quelle que soit la valeur de Q-0

Please Log in to join the conversation.

More
3 years 10 months ago #100514 by riqcles
riqcles replied the topic: Version 2.00+ : problème avec les questions conditionnelles
Bonjour,
tu peux importer ton questionnaire dans la V2 de démo du site de limesurvey ?
Si son fonctionnement est correct, il faudra déterminer ce qui s'est passé dans ta migration.

LimeSurvey version 2.06 build 141020 / future 2.62 / 63 build dernière en date :)
OS : CentOS 7.1 / PHP 5.6.27
BDD : PostGresql 9.4.6 /

Please Log in to join the conversation.

More
3 years 10 months ago #100577 by DenisChenu
DenisChenu replied the topic: Version 2.00+ : problème avec les questions conditionnelles
Salut,

Et assure toi bien de plusieurs choses:
- Tester avec un modèle par défaut.
- S'assurer que les codes de questions sont différents

Assistance on LimeSurvey forum and LimeSurvey core development are on my free time.
I'm not a LimeSurvey GmbH member, professional service on demand (or search sondages pro).
An error happen ? Before make a new topic : remind the Debug mode .

Please Log in to join the conversation.

More
3 years 9 months ago #100913 by pocquet
pocquet replied the topic: Version 2.00+ : problème avec les questions conditionnelles
Bonjour,
Je n'avais pas vu les réponses à mon message, d'où le retard. Je vous remercie pour cette piste, j'ai suivi votre conseil et tout fonctionne sur le site de démo, ce qui est rassurant. Reste maintenant à trouver le problème.

Please Log in to join the conversation.

More
3 years 9 months ago #100914 by pocquet
pocquet replied the topic: Version 2.00+ : problème avec les questions conditionnelles
Bonjour,
J'ai vérifié, merci pour votre conseil.

Please Log in to join the conversation.

More
3 years 9 months ago #100929 by DenisChenu
DenisChenu replied the topic: Version 2.00+ : problème avec les questions conditionnelles
C'était le modèle ?

Denis

Assistance on LimeSurvey forum and LimeSurvey core development are on my free time.
I'm not a LimeSurvey GmbH member, professional service on demand (or search sondages pro).
An error happen ? Before make a new topic : remind the Debug mode .

Please Log in to join the conversation.

More
3 years 9 months ago #101152 by pocquet
pocquet replied the topic: Version 2.00+ : problème avec les questions conditionnelles + bouton précédent
Bonjour,

J'ai tout repris à zéro pour ne pas mélanger les problèmes. Cette fois :
- j'installe le package limesurvey200plus-build131022.tar.gz sans aucune base de données.
- je crée un questionnaire avec le modèle par défaut
- un seul groupe avec 2 questions :
-- q1 de type oui/non
-- q2 conditionnelle si q1 est oui

Plus simple, il n'y a pas :O) mais ça ne fonctionne toujours pas, la question conditionnelle s'affiche toujours (voir fichiers attachés)

Autre problème avec cette vetrsion, le bouton "précédent" est inactif.

Je vous remercie d'avance pour votre aide.
Attachments:

Please Log in to join the conversation.

More
3 years 9 months ago #101173 by pocquet
pocquet replied the topic: Version 2.00+ : problème avec les questions conditionnelles + bouton précédent
Rebonjour,

Pour compléter mon précédent message, voilà en pièce jointe les erreurs qui s'affichent sur la console d'erreur lorsque je clique sur le bouton "Précédent".
Auriez-vous une idée, s'il vous plaît ?
Merci d'avance,
Anne-Marie
Attachments:

Please Log in to join the conversation.

More
3 years 9 months ago #101183 by DenisChenu
DenisChenu replied the topic: Version 2.00+ : problème avec les questions conditionnelles + bouton précédent
Salut,

Avec le modèle par défaut ou le tien en propre ? Pense aussi à vider ton cache navigateur.

Peut tu nous donner un lien pour ce questionnaire d'exemple ?

Denis

Assistance on LimeSurvey forum and LimeSurvey core development are on my free time.
I'm not a LimeSurvey GmbH member, professional service on demand (or search sondages pro).
An error happen ? Before make a new topic : remind the Debug mode .

Please Log in to join the conversation.

More
3 years 9 months ago #101207 by pocquet
pocquet replied the topic: Version 2.00+ : problème avec les questions conditionnelles + bouton précédent
Bonjour Denis,
Je vous remercie pour votre réponse. J'avais suivi vos conseils précédents et utilisé le modèle par défaut, vidé le cache aussi. Je suis partie d'une base vide que Limesurvey a créée à l'installation.
Voilà l'URL du questionnaire : www.irit.fr/limesurvey2.0.test/index.php/729342/lang-fr
L'environnement est accessible par www.irit.fr/phpinfo.php
Merci d'avance,
Anne-Marie

Please Log in to join the conversation.

More
3 years 9 months ago #101243 by DenisChenu
DenisChenu replied the topic: Version 2.00+ : problème avec les questions conditionnelles + bouton précédent
Salut,

l'URL du questionnaire n'est pas le vrai modèle par défaut.

A mon avis: il y a eu un problème lors de la mise à jour sur ta précéndentes version.

A faire :
- Renommer le répertoire ./templates via FTP
- Réenvoyer le répertoire ./templates complet sur le serveur.

Refaire le test.

Denis

Assistance on LimeSurvey forum and LimeSurvey core development are on my free time.
I'm not a LimeSurvey GmbH member, professional service on demand (or search sondages pro).
An error happen ? Before make a new topic : remind the Debug mode .

Please Log in to join the conversation.

More
3 years 9 months ago #101246 by pocquet
pocquet replied the topic: Version 2.00+ : problème avec les questions conditionnelles + bouton précédent
Bonjour Denis,
Je n'ai pas fait de mise à jour de version cette fois, ce test est totalement indépendant puisque je repars de rien. Je pars de l'archive de la distribution, dans un nouveau répertoire, et sans aucune base de données au départ.

Anne-Marie

Please Log in to join the conversation.

More
3 years 9 months ago #101250 by pocquet
pocquet replied the topic: Version 2.00+ : problème avec les questions conditionnelles + bouton précédent
Ooops, non, tu as raison, j'ai repris seulement le template. OK, je reteste B)

Please Log in to join the conversation.

More
3 years 9 months ago #101251 by pocquet
pocquet replied the topic: Version 2.00+ : problème avec les questions conditionnelles + bouton précédent
Denis,
ça fonctionne à présent, et je te remercie pour ton aide. Il ne me reste plus qu'à adapter les templates que j'avais créés pour le laboratoire.
Encore merci,
Anne-Marie

Please Log in to join the conversation.

Moderators: Nickko

Did you already participate in our customer survey?

Don't miss your chance for great prices.

Please click here to participate:

Start now

Start now!

Just create your account and start using Limesurvey today.

Register now